DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FeatureComposeFunction

Measurement feature #compose function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_FeatureComposeFunction) ( measurement, featureID, label, intensity, compositeFeatureID, resources )

## FUNCTION

The `compose` function is called to obtain a list of measurement features. These features are measured before the `measure` function of a composite feature is called (`FeatureCompositeFunction`). This parameter is ignored for other measurement types. The `compose` function is called after the `create` function (`FeatureCreateFunction`).

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement feature function ID
`dip_Image` | `label` | Image with pixel intensities represending object IDs
`dip_Image` | `intensity` | Image containing corresponding intensity values
`dip_IntegerArray *` | `compositeFeatureID` | Pointer to an integer array containing the the IDs of the measurement features this function requires
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`MeasurementFeatureRegister`, `FeatureCompositeFunction`